﻿@page "/"
@using RPG.Hero;
@inject NavigationManager NavigationManager

<PageTitle>Index</PageTitle>

<h1 class="text-center">Monkey vs Baloons</h1>
<div style="display: flex; flex-direction: column">
    <img class="align-self-center" src="logo.png" />

    @if(!Singleton.GetInstance().isActive)
    {
        <button style="margin: 10px" class="btn btn-success" @onclick="() => SetActiveHero()">
            Create your monkey
        </button>
    }
</div>



@code {
    public void SetActiveHero()
    {
        Singleton.GetInstance().isActive = true;
        RefreshPage();
        StateHasChanged();

    }

    private void RefreshPage()
    {
        NavigationManager.NavigateTo(NavigationManager.Uri, true);
    }
}